> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get profile



## OpenAPI

````yaml get /v1/profile/{id}
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/profile/{id}:
    get:
      tags:
        - Profile Endpoints
      operationId: ProfileController_get
      parameters:
        - name: expand
          required: false
          in: query
          schema:
            nullable: true
            type: array
            items:
              type: string
              enum:
                - identifiers
                - wallets
        - name: includeAddresses
          required: false
          in: query
          schema:
            nullable: true
            type: array
            items:
              type: string
              enum:
                - evm
                - sol
                - sui
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    ProfileResponse:
      type: object
      properties:
        id:
          type: string
        rootUserId:
          type: string
        applicationId:
          type: string
          nullable: false
        name:
          type: string
          nullable: true
        createdAt:
          type: integer
          default: '2024-04-04T17:14:46.042Z'
          format: timestamp
          minimum: 0
        wallets:
          description: This field is expandable
          type: array
          items:
            $ref: '#/components/schemas/WalletResponse'
        identifiers:
          description: This field is expandable
          type: array
          items:
            $ref: '#/components/schemas/ProfileIdentifierResponse'
      required:
        - id
        - rootUserId
        - applicationId
        - createdAt
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
    WalletResponse:
      type: object
      properties:
        profileId:
          type: string
          nullable: true
        applicationId:
          type: string
          nullable: false
        lastUsedAt:
          format: date-time
          type: string
          nullable: true
          description: Deprecated
        addresses:
          nullable: true
          description: The field must be requested to be included in the response
          allOf:
            - $ref: '#/components/schemas/Addresses'
        id:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - applicationId
        - id
        - createdAt
    ProfileIdentifierResponse:
      type: object
      properties:
        rootUserId:
          type: string
        profileId:
          type: string
        service:
          type: string
        value:
          type: string
        createdAt:
          type: integer
          default: '2024-04-04T17:14:46.041Z'
          format: timestamp
          minimum: 0
        type:
          enum:
            - custom
            - external-wallet
          type: string
        id:
          type: string
      required:
        - rootUserId
        - profileId
        - service
        - value
        - createdAt
        - type
        - id
    Addresses:
      type: object
      properties:
        evm:
          type: string
        sol:
          type: string
        sui:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````